Subject: [Cfrg] Re: New CFRG I-D: Fast MAC Requirements

From: mcgrew <[email-masked]>
Date: Fri, 02 Nov 2007 10:54:47 -0700

Hi All,

I just wanted to chime in with a procedural point: since I'm an author on
this draft, Ran will be acting in the capacity of RG chair with regards to
this document.  (Thanks Ran!)

David

On 10/29/07 1:11 PM, "Brian Weis" <[email-masked]> wrote:

> Greetings,
> 
> The new I-D http://www.ietf.org/internet-drafts/draft-irtf-cfrg-fast-
> mac-requirements-00.txt is available. It describes the need for a
> fast MAC (in software) and proposes a set of requirements for such a
> MAC. Although there are possibly many applications for a fast MAC,
> the particular one we have in mind is the replacement for the TCP MD5
> Signature Option (being discussed in the transport area).
> 
> Abstract:
> This memo outlines requirements guiding the development of a fast
> Message Authentication Code (MAC) algorithm suitable for use with
> many IETF protocols, but in particular routing protocols that use a
> MAC for packet authentication.
> 
> It is widely conjectured that secure MACs that are fast in software
> are possible, and many interesting MACs have appeared in the
> literature.  Nevertheless, none of these MACs have seen broad
> adoption, and none are a good match for the routing protocol case.
> We hope that this memo brings together MAC designers and MAC users
> for a fruitful discussion.
> 
> Comments to the authors or CFRG list are invited.
> 
> Brian & David

_______________________________________________
Cfrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/cfrg